<?php
/**
 * AbstractDatabaseUtil
 * 全ユーティリティーに共通する部分を持つアブストラクトクラス。
 * $Id: AbstractDatabaseUtil.inc,v 1.1 2015/10/08 11:18:56 wanggb Exp $
 * @author iimuro
 * @access public
 * @package jp.aimslib2.database
 */

class AbstractDatabaseUtil{
	
	
	/**
	 * colnamesに指定された属性名の順番にrowsetの内容を選別する。
	 */
	public static function sortColumn($colnames, &$rowset){
		
		$result = array();
		
		for($y = 0; $y < count($rowset); $y++){
			
			$base = &$rowset[$y];
			$tmp = array();
			
			for($x = 0; $x < count($colnames); $x++){
				$name = &$colnames[$x];
				$tmp[$name] = $base[$name];
			}
			
			$result[$y] = $tmp;
			
		}
		
		
		return $result;
	}
	
}



?>